%define piname	aisradar_pi
%define uname	radar_pi

Name:		opencpn-ais-radar-plugin
Summary:	AIS radar view plugin for OpenCpn
Version:	1.0
Release:	%mkrel 3
License:	GPLv2
Group:		Geography
URL:		https://github.com/Verezano/%{uname}
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{uname}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	lib64wxgtku3.1-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Implements a radar-like display for AIS targets

%prep
%setup -q -n %{uname}

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so


%changelog
* Sun Oct 06 2019 tex - 1.0-3pclos2019
- rebuild against updates

* Thu May 16 2019 tex - 1.0-2pclos2019
- rebuild against updates

